/*
 * Globals
 */
.flex {
  display: flex;
}

/* Custom default button */
.btn-secondary,
.btn-secondary:hover,
.btn-secondary:focus {
  color: #333;
  text-shadow: none;
  /* Prevent inheritance from `body` */
}

/*
* Hambuerger menu
*/
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: opacity .35s, visibility .35s, height .35s;
  overflow: hidden;
  background: black;
  z-index: -1;
}

#main-menu {
  display: block;
  height: 100px;
  width: 100%;
  background: #3D0E61;
  margin: 0px;
  z-index: 9;
}

#main-menu ul {
  max-width: 800px;
  width: 100%;
  height: 100%;
  margin: 0px auto;
  padding: 0px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  z-index: 9;
}

#main-menu li {
  list-style-type: none;
  font-size: 2rem;
}

#main-menu a {
  color: #B9FAF8;
  font-size: 1.5rem;
  text-decoration: none;
}

#main-menu a:hover {
  text-decoration: underline;
}

#hamburger-input {
  display: none;
}

#hamburger-menu {
  z-index: 2;
  position: fixed;
  top: 20px;
  right: 20px;
  width: 35px;
  height: 20px;
  display: none;
  border: none;
  padding: 0px;
  margin: 0px;
  font-family: 'Cabin', Sans-serif;
  background: linear-gradient(to bottom,
      #fdef50, #fdef50 20%,
      transparent 20%, transparent 40%,
      #fdef50 40%, #fdef50 60%,
      transparent 60%, transparent 80%,
      #fdef50 80%, #fdef50 100%);
}

#hamburger-menu #sidebar-menu {
  visibility: hidden;
  position: fixed;
  top: 0;
  right: -250px;
  left: 40%;
  height: 100%;
  background-color: black;
  box-sizing: border-box;
  text-align: right;
  padding: 20px;
}

#hamburger-menu h3 {
  color: #B9FAF8;
  font-size: 2.2rem;
}

#hamburger-menu ul {
  padding-left: 0px;
}

#hamburger-menu li {
  list-style-type: none;
  line-height: 3rem;
}

#hamburger-menu a {
  color: #B9FAF8;
  font-size: 1.3rem;
  text-decoration: none;
}

#hamburger-menu a:hover {
  text-decoration: underline;
  color: #fdef50;
}

#sidebar-menu-overlay {
  z-index: 1;
}

#hamburger-input:checked+#hamburger-menu #sidebar-menu {
  visibility: visible;
  right: 0;
}

#hamburger-input:checked~.overlay {
  visibility: visible;
  opacity: 0.4;
}


@media screen and (max-width: 500px) {
  .only-on-mobile {
    display: block;
  }
  #nav {
    display: none !important;
  }
  #hamburger-menu {
    display: inline;
  }
}

@media screen and (min-width: 500px) {
  .only-on-mobile {
    display: none;
  }
  #nav {
    display: flex !important;
  }
  #hamburger-menu {
    display: none !important;
  }
}

/*
* Fine hamburger
*/


/*
 * Base structure
 */

body {
  font-family: 'Open Sans', sans-serif;
  text-shadow: 0 .05rem .1rem rgba(0, 0, 0, .5);
  box-shadow: inset 0 0 5rem rgba(0, 0, 0, .5);
}

#nav {
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
  width: 100%;
}

#nav .logo {
  margin-right: auto;
  justify-self: flex-start;
}

main {
  color: #fdef50;
}

main > .with-background {
  background-color: rgba(0,0,0,0.4);
  display: inline-block;
}

/*
 * Header
 */

.nav-masthead .nav-link {
  color: #333;
  border-bottom: .25rem solid transparent;
  text-shadow: none;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  border-bottom-color: rgba(255, 255, 255, .25);
}

.nav-masthead .nav-link+.nav-link {
  margin-left: 1rem;
}

.nav-masthead .active {
  color: #fdef50;
  border-bottom-color: #fdef50;
}

.first-logo {
  width: 150px;
}

.social-icons svg {
  height: 24px;
  margin-right: 5px;
}

.twitter,
.facebook,
.instagram {
  color: #fdef50;
}

.cover-container {
  z-index: 0;
}

.swiper {
  height: 100vh;
  position: fixed !important;
  width: 100vw;
  z-index: -1 !important;
  margin: -1em !important;
}

.swiper-slide {

  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.slide-1 {
  background-image: url(./assets/images/01.jpg);
}

.slide-2 {
  background-image: url(./assets/images/02.jpg);
}

.slide-3 {
  background-image: url(./assets/images/03.jpg);
}

.slide-4 {
  background-image: url(./assets/images/04.jpg);
}

.slide-5 {
  background-image: url(./assets/images/05.jpg);
}

.slide-6 {
  background-image: url(./assets/images/06.jpg);
}

.slide-7 {
  background-image: url(./assets/images/07.jpg);
}

.slide-8 {
  background-image: url(./assets/images/08.jpg);
}

.slide-9 {
  background-image: url(./assets/images/09.jpg);
}

.slide-10 {
  background-image: url(./assets/images/10.jpg);
}

.black-section {
  background-color: black;
  color: white;
  min-height: 100vh;
  height: auto;
}

.white-section {
  background-color: #e6e6e6;
  color: #333;
  min-height: 100vh;
  height: auto;
  text-shadow: none;
}

.second-section__logo {
  width: 300px;
}

.second-section__text {
  text-align: end;
}

.second-section__content {
  height: 100%;
  align-items: center;
}

.first-char {
  font-size: 20px;
}

.section-title {
  text-transform: uppercase;
  border-bottom: 2px solid #fdef50;
}


.black-section .modal-button {
  color: white;
  border: 1px solid;
  margin: 5px 0;
}

.modal-header {
  width: 100%;
  background: white;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.black-modal .modal-header {
  background-color: #333;
}
.black-modal-button {
  color: #333 !important;
  border: 1px solid;
  margin: 5px 0;
}
.modal-dialog {
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.modal-content {
  font-size: 14px;
  border: none;
  border-radius: 0;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.black-modal .modal-content, .black-modal .modal-header {
  background-color: #333;
  color: white !important;
  text-shadow: none !important;
}

.modal-close-btn {
  background-color: #F5F5F5;;
}

.small-text {
  font-size: 14px;
}

.third-section {
  padding: 10%;
}

.margin-top-10 {
  margin-top: 10%;
}

.user {
  margin: 10px 0;
}

.user .row {
  padding: 10px;
}

.user img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 2px solid #fdef50;
}

.user .grade-description {
  letter-spacing: 2;
}

.user .user-experiences {
  font-size: 14px;
  opacity: .8;
}

.second-swiper {
  width: 100vw;
}

@media screen and (max-width: 400px) {
  .second-swiper {
    padding: 10% 0;
  }
}

.second-wriper .swiper-wrapper {
  min-height: 100vh;
  height: auto !important;
}

.fourth-section {
  overflow-x: hidden;
}

.fourth-section__content {
  flex: 1;
  min-height: 100vh;
  position: relative;
  width: 100vw;
}

.swiper-button-next {
  right: 30px !important;
}
.swiper-button-prev {
  left: 30px !important;
}
.swiper-button-next,
.swiper-button-prev {
  color: #fdef50 !important;
  --swiper-navigation-size: 20px;
}
.swiper-pagination-progressbar-fill {
  background-color: #fdef50 !important;
}

.fourth-section__card {
  max-width: 80%;
  color: black;
  text-shadow: none;
  padding: 20px;
  border-radius: 16px;
}

@media screen and (max-width: 400px) {
  .fourth-section__card {
    max-width: 98%;
  }
}

.fourth-swiper-slide {
  background-color: black;
  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}
.fourth-section__slide-titlte {
  margin: 20px 0 40px;
}
.programmas-row .col {
  margin: 20px;
  padding: 15px;
  border-radius: 16px;
  background-color: #e6e6e6;
}
.programmas-col {
  text-transform: uppercase;
  font-size: 18px;
}
.years {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
}
.year {
  background-color: #fdef50;
  padding: 5px;
  border-radius: 50%;
  width: 35px;
}
.year-separator {
  height: 2px;
  background: black;
  width: 10px;
}
.year.bigger {
  width: 38px;
}


.map-row {
  flex: 2;
  padding: 0 5%;
}
.map-row-inner {
  flex: 1;
}
.map-row iframe {
  border-radius: 16px;
  max-width: 100vw;
}

.map-row .card {
  padding: 20px;
  border-radius: 16px;
}

.map-row .card {
  margin: 5px;
  flex: 1;
  align-items: stretch;
  flex-grow: 1;
}

@media screen and (max-width: 400px) {
  .map-row .card {
    margin: 5px 0;
  }
}

.map-row .card a {
  display: inline;
}
.cards-container {
  display: flex;
  justify-content: center;
  margin: 20px -10px 0;
}

.sixth-section {
  display: flex;
  flex-direction: column;
}

.pdf-col {
  border-radius: 14px;
  color: #333;
  text-shadow: none;
  cursor: pointer;
}

.pdf-col > a {
  display: inline;
  appearance: none;
  color: inherit;
  text-decoration: none;
  background: #f4f4f4;
  margin: 10px;
  padding: 10px;
  border-radius: 14px;
  text-align: center;
}

.pdf-col > a > .row {
  height: 100%;
  text-align: center;
}

.teoria {
  padding-top: 15px;
  justify-self: flex-start;
}

.pdf-container {
  justify-self: center;
  margin: auto;
}

.pdf-icon {
  height: 40px;
}

.small-title {
  font-size: 15px;
}